import java.util.Arrays;
public class DreieckTest
{
    public static void main(String[] args)
    {
        GeometrischesObjekt feld[] = new GeometrischesObjekt[6];
        feld[0] = new Dreieck(new Punkt(0, 3), new Punkt(2, 0), new Punkt(5,2));
        feld[1] = new GleichseitigesDreieck(new Punkt(0, -2), new Punkt(1.73, 1), new Punkt(-1.73, 1));
        feld[2] = new Dreieck(new Punkt(0, 5), new Punkt(2, 0), new Punkt(5,3));
        feld[3] = new Dreieck(new Punkt(-5, 0), new Punkt(0, 5), new Punkt(0,-5));
        feld[4] = new Dreieck(new Punkt(0, 0), new Punkt(1, 1), new Punkt(-1,1));
        feld[5] = new GleichseitigesDreieck(new Punkt(-3,0), new Punkt(3,0),
                new Punkt(0,Math.sqrt(27)));

        Arrays.sort(feld);
        for(int i=0; i<feld.length; i++)
        {
            System.out.println("Objekt von " + feld[i].getClass());
            System.out.println(feld[i]);
            System.out.println("Groesse: " + feld[i].area() +
                               " Umfang: " + feld[i].perimeter());
            System.out.println();
        }
        System.out.println("Tests des Fehlermeldungen:");
        try {
            feld[0] = new GleichseitigesDreieck(new Punkt(0, 5), new Punkt(2, 0), new Punkt(5,3));
        }
        catch(IllegalArgumentException e) {
            System.out.println(e);
        }
        try {
            feld[0] = new Dreieck(new Punkt(0, 0), new Punkt(1, 1), new Punkt(-1,-1));
        }
        catch(IllegalArgumentException e) {
            System.out.println(e);
        }
    }
}
